Skip to main content
POST
Used to unlink a partner subscription

Authorizations

X-API-KEY
string
header
required

The authorization key obtained from MarketONE.

Headers

X-B3-TraceId
string

The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.

X-B3-SpanId
string

The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.

X-B3-ParentSpanId
string

The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.

X-Aggregator-Code
string

The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.

Maximum string length: 16

Path Parameters

id
string
required

Partner Subscription ID

Query Parameters

aggregatorCode
string

The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.

Maximum string length: 16

Response

OK

The information managed in MarketONE about partner service provisioning.

partnerSubscriptionId
string
required

MarketONE partner service provisioning record identifier.

Maximum string length: 256
partnerCustomerId
string
required

Unique identifier of the customer account in MarketONE

Maximum string length: 256

Indicates if the unlink is complete of pending at merchant side. If it's complete,then the relink process can begin immediately using the redemption details provided in this response. if not, wait until the ResellerInitiatedUnlink event is received.

Available options:
COMPLETE,
PENDING
Maximum string length: 50
subscriptionId
string

The id of the SLM subscription associated with this partner service.

Maximum string length: 128
redemptionCode
string

New redemption code for relinking. Will be sent as part if response if unlinkStatus is COMPLETE. if unlinkStatus is pending, reseller needs to wait for the ResellerInitiatedUnlink event and retrieve this from the event

Maximum string length: 2048
redemptionCodeExpirationTime
string<datetime>

New redemption code expiration time for relinking. Will be sent as part if response if unlinkStatus is COMPLETE. if unlinkStatus is pending, reseller needs to wait for the ResellerInitiatedUnlink event and retrieve this from the event

partnerUrl
string

The optional response value that identifies the Url where user will be directed.Will be sent as part if response if unlinkStatus is COMPLETE. if unlinkStatus is pending, reseller needs to wait for the ResellerInitiatedUnlink event and retrieve this from the event

Maximum string length: 2048
partnerTokenizedUrl
string

The optional response value that identifies the complete one click url that can be used by the user for activation of his partner subscription. Will be sent as part if response if unlinkStatus is COMPLETE. if unlinkStatus is pending, reseller needs to wait for the ResellerInitiatedUnlink event and retrieve this from the event

Maximum string length: 2048